Subject: Re: [PATCH RFC 0/3] net: phy: marvell10g: Add host speed setting by an ethernet driver

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 19 Oct 2022 12:39:25 +0100

On Wed, Oct 19, 2022 at 12:44:42PM +0200, Marek Behún wrote:
> On Wed, 19 Oct 2022 17:50:49 +0900
> Yoshihiro Shimoda <[email-masked]> wrote:
> 
> > R-Car S4-8 environment board requires to change the host interface
> > as SGMII and the host speed as 1000 Mbps because the strap pin was
> > other mode, but the SoC/board cannot work on that mode. Also, after
> > the SoC initialized the SERDES once, we cannot re-initialized it
> > because the initialized procedure seems all black magic...
> 
> Can you tell us which exact mode is configured by the strapping pins?
> Isn't it sufficient to just set the MACTYPE to SGMII, without
> configuring speed?

(To Yoshihiro Shimoda)

Please note that I don't seem to have the patches to review - and as
maintainer of the driver, I therefore NAK this series until I can
review it.

I'm guessing the reason I don't have them is:

2022-10-19 09:51:17 H=relmlor1.renesas.com (relmlie5.idc.renesas.com) [210.160.252.171]:58218 I=[78.32.30.218]:25 F=<> rejected RCPT <[email-masked]>: Faked bounce
2022-10-19 09:51:17 H=relmlor2.renesas.com (relmlie6.idc.renesas.com) [210.160.252.172]:24399 I=[78.32.30.218]:25 F=<> rejected RCPT <[email-masked]>: Faked bounce
2022-10-19 09:51:18 H=relmlor1.renesas.com (relmlie5.idc.renesas.com) [210.160.252.171]:58218 I=[78.32.30.218]:25 F=<> rejected RCPT <[email-masked]>: Faked bounce
2022-10-19 09:51:19 H=relmlor1.renesas.com (relmlie5.idc.renesas.com) [210.160.252.171]:58218 I=[78.32.30.218]:25 F=<> rejected RCPT <[email-masked]>: Faked bounce

Why are you sending patches using the NULL envelope sender - this is a
common trick used by spammers and scammers to get their messages
through. Please don't.

(In case anyone questions this - as all my email is sent from encoded
envelope from addresses rather than my published addresses, bounces
do still work.)

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!